### Method

# Ggit Reflog append

#### Declaration [src]

    gboolean
    ggit_reflog_append (
      GgitReflog* reflog,
      GgitOId* oid,
      GgitSignature* committer,
      const gchar* message,
      GError** error
    )

#### Description [src]

Creates a reflog entry.

#### Parameters

`oid`

  Type: `GgitOId`

  A `GgitOId`.

  The data is owned by the caller of the method.

`committer`

  Type: `GgitSignature`

  A `GgitSignature`.

  The data is owned by the caller of the method.

`message`

  Type: `const gchar*`

  The message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the reflog was successfully created, or `FALSE` if error is set.